function setAllTrainingAttendance(checked)
{
	try 
	{
		var inputs = document.getElementsByTagName("input");

		for(var i=0; i<inputs.length; i++)
		{
			if(inputs[i].getAttribute("type").match("checkbox"))
			{
				inputs[i].checked = checked;
			}
		}	
	} catch (e) {
		exceptionHandler(e);
	}
}

function setTrainingAttendanceDependentOnFreshness(freshnessThreshold)
{
	try 
	{
		var tables 							= document.getElementsByTagName("table");
		var freshnessColumnNumber			= getFreshnessColumnNumber(document);
		var freshnessTableNumber			= getFreshnessTableNumber(document);			
		var freshnessTableContent			= tables[freshnessTableNumber];
		var trainingAttendanceColumnNumber 	= getTrainingAttendanceColumnNumber(document);
		
		if(freshnessColumnNumber && trainingAttendanceColumnNumber)
		{	
			for(var i=1; i<freshnessTableContent.rows.length; i++)
			{
				freshness = getNumberFromNode(freshnessTableContent.rows[i].cells[freshnessColumnNumber]);
				input = freshnessTableContent.rows[i].cells[trainingAttendanceColumnNumber].getElementsByTagName("input")[0];
				if(input)
				{
					if(freshness>freshnessThreshold)
					{
						input.checked = true;
					}
					else					
					{
						input.checked = false;
					}				
				}
			}
		}
		else
		{
			alert("Could not clearly determine the row containing the freshness of the team training table.");
		}
	} catch (e) {
		exceptionHandler(e);
	}
}